Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           jcal
Version:        0.4.1
Release:        alt2_28
Summary:        Unix cal-like interface to libjalali

License:        GPLv3+
URL:            http://nongnu.org/jcal/
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc autoconf automake libtool
Source44: import.info

%description
This package provides two applications: jcal and jdate which use libjalali
for calendar calculation.

jcal is a UNIX cal-like tool to display calendar based on Jalali calendar
system.

jdate is UNIX date-like tool to display date and time based on Jalali 
calendar system.

%package -n libjalali
Group: Development/Other
Summary:        A library providing Jalali calendar functions

%description -n libjalali
Jalali calendar is a small and portable free software library to manipulate
date and time in Jalali calendar system. It's written in C and has absolutely
zero dependencies. It works on top of any POSIX.1-2001 (and later) compatible
libc implementations. Jalali calendar provides an API similar to that of 
libc's timezone, date and time functions.

%package -n libjalali-devel
Group: Development/Other
Summary:        Development files for libjalali
Requires:       libjalali = %{version}-%{release}

%description -n libjalali-devel
The libjalali-devel package contains libraries and header files for
developing applications that use libjalali.

%prep
%setup -q -c

%build
./autogen.sh
%configure --disable-static
%make_build

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la



%files
%doc README NEWS TODO AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n libjalali
%{_libdir}/*so.*

%files -n libjalali-devel
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_28
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_26
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_25
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_24
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_23
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_22
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2_21
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt2_20
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_20
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_19
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_18
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_15
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_9
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_7
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_6
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_5
- update to new release by fcimport

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_4
- initial fc import

